<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 10;
$toolId = 50;
$objsettings = ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = array();

$setting = new Setting();
$setting->name = 'useAbweichendeSemester';
$setting->description = 'Von den allgemeinen Semestereinstellungen abweichende Semester verwenden';
$setting->help = 'Falls gesetzt, werden die unten angegebenen Semestereinstellungen verwendet, ansonsten die unter Allgemein/Semestereinstellungen';
$setting->subGroup = 'Feedback-Auswertungen Übersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'semlist';
$setting->description = 'Kurse folgender Semester anzeigen';
$setting->help = 'Es können auch mehrere Semester gewählt werden.';
$setting->subGroup = 'Feedback-Auswertungen Übersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->separator = ',';

$semapi = new SemesterHlAPI();
$semesterAry = $semapi->getSemester();
$items = array();
foreach ($semesterAry as $semester) {
  $items[$semester] = 'Semester \'<b>' . $semester . '</b>\'';
}
if (count($items) == 0) {
  $items[''] = 'Es sind keine Semester verfügbar! Bitte überprüfen Sie die
  Hinterlegung der Semester.';
}
$setting->config->items = $items;
array_push($settingsArray, $setting);

$settingsArray[] = \Kufer\Admin\Classes\Settings\Helper\Tools\KursStatusHelper::createKursStatusSetting($toolId, $objsettings, 'Feedback-Auswertungen Übersicht');

$setting = new Setting();
$setting->name = 'kursFilterVorbelegen';
$setting->description = 'Kursfilter vorbelegen';
$setting->subGroup = 'Kursfilter:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->items = array('W' => '<b>Kursfilter vorbelegen:</b><br /><label for="knr_von" class="knr_label">Kursnummer von<input type="text" name="knr_von" class="knr_filter" id="knr_von" value="' . $objsettings->knrVon . '"></label><br />'
    . '<label for="knr_bis" class="knr_label">Kursnummer bis<input type="text" name="knr_bis" class="knr_filter" id="knr_bis" value="' . $objsettings->knrBis . '"></label>');
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sameAussenst';
$setting->description = 'Nur Kurse der Außenstelle des Mitarbeiters anzeigen';
$setting->help = 'Wenn dieser Haken gesetzt ist, werden nur Kurse angezeigt, die die gleiche Außenstelle wie der Mitarbeiter haben. Die Einschränkung auf Außenstelle erfolgt nur, wenn beim Mitarbeiter eine Außenstelle eingetragen ist.';
$setting->subGroup = 'Kursberechtigungen für die Mitarbeiter';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'useBereichsRechte';
$setting->description = 'Bereichsrechte für die Kursauswahl benutzen';
$setting->help = 'Wenn dieser Haken gesetzt ist, werden nur die Kurse angezeigt, für die die Bereichsrechte gelten, die in KuferSQL in der Benutzerverwaltung 
  unter dem Reiter Bereichsrechte gesetzt wurden (Zum Beispiel Kurse, die in einem bestimmten Kursnummernbereich liegen, oder zu einer bestimmten Außenstelle
  gehören).';
$setting->subGroup = 'Kursberechtigungen für die Mitarbeiter';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'planend';
$setting->description = 'Geplante Kurse des Mitarbeiters anzeigen';
$setting->help = 'Wenn dieser Haken gesetzt ist, werden die Kurse angezeigt, die vom Mitarbeiter geplant werden.';
$setting->subGroup = 'Kursberechtigungen für die Mitarbeiter';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'verwaltend';
$setting->description = 'Verwaltete Kurse des Mitarbeiters anzeigen';
$setting->help = 'Wenn dieser Haken gesetzt ist, werden die Kurse angezeigt, die vom Mitarbeiter verwaltet werden.
  Wenn diese Einstellung gemeinsam mit "Geplante Kurse des Mitarbeiters anzeigen" gesetzt ist, werden die Kurse angezeigt, wo der Mitarbeiter verwaltend oder planend ist.';
$setting->subGroup = 'Kursberechtigungen für die Mitarbeiter';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$connInfo = new \DBConnectionInfo();
if ($connInfo->db_replikat && $connInfo->db_typ == \DBTypeEnum::MYSQLI) {
  array_push($settingsArray, \Kufer\Admin\Classes\Settings\Helper\Tools\LinkHelper::createHardlinkSettingItemToToolSetting('allg_sonstiges', 'Datensatz', $toolId, 'Nur aus Replikatsdatenbank lesen'));
}